Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class TopicConnectionFactory

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.BasicConnectionFactory
              com.sun.messaging.ConnectionFactory
                  com.sun.messaging.TopicConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, ConnectionFactory, TopicConnectionFactory, javax.naming.Referenceable

    public class TopicConnectionFactory

extends ConnectionFactory
implements TopicConnectionFactory

A `TopicConnectionFactory` is used to create TopicConnections with the Sun MQ Java Message Service (JMS) Publish/Subscribe (Pub/Sub) provider.

See Also:
  `javax.jms.TopicConnectionFactory`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`` | `TopicConnectionFactory()` Constructs a TopicConnectionFactory with the default configuration.
`protected` | `TopicConnectionFactory(java.lang.String defaultsBase)` Constructs a TopicConnectionFactory with the specified configuration.

Method Summary

Methods inherited from class com.sun.messaging.ConnectionFactory
`createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

Methods inherited from class com.sun.messaging.BasicConnectionFactory
`createConnection, createConnection, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

Methods inherited from class com.sun.messaging.AdministeredObject
`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.TopicConnectionFactory
`createTopicConnection, createTopicConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Constructor Detail

### TopicConnectionFactory

    public TopicConnectionFactory()

  Constructs a TopicConnectionFactory with the default configuration.

### TopicConnectionFactory

    protected TopicConnectionFactory(java.lang.String defaultsBase)

  Constructs a TopicConnectionFactory with the specified configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.